Subject: bug#35586: GNOME

From: "Raghav Gururajan" <[email-masked]>
Date: Mon, 06 May 2019 19:30:56 +0000

T-G-R!

Thanks for your email. I understand what you mentioned. I came across this link (https://blogs.gnome.org/mcatanzaro/2016/09/21/gnome-3-22-core-apps/), where the dev(s) recommend to use generic names while packaging GNOME Core Apps. :)

I think it is better to use generic names for package names and include other aliases/project-names in the package tagline and/or package description.

May 6, 2019 7:20 PM, "Tobias Geerinckx-Rice" <[email-masked]> wrote:

> Raghav,
> 
> Thanks for taking a look at this. I'm sure there's plenty to be 
> improved in how we package a large collection of software like 
> GNOME in an intuitive way.
> 
> Raghav Gururajan wrote:
> 
>> The following gnome core applications have already been included
>> in
>> guix's gnome package but requires correct renaming?
>> 
>> epiphany --> gnome-web
> 
> Using ‘correct’ here is a bit strong.
> 
> ~ λ guix install epiphany
> ~ λ gnome-web
> bash: gnome-web: command not found
> ~ λ epiphany
> # browsin' time
> 
> While we don't blindly name packages after the binaries they
> provide, of course, a look at the project's own publications
> doesn't reduce the confusion. Ironic.
> 
> “Web is the web browser for the GNOME desktop and for elementary
> OS,
> based on the popular WebKit engine. It offers a simple, clean,
> beautiful view of the web featuring first-class GNOME and
> Pantheon
> desktop integration. Its code name is Epiphany.
> 
> You may install Web from the software repositories of most
> Linux
> operating systems, where it is normally packaged as
> "epiphany-browser" or "epiphany". ”[0]
> 
> The README[1] mainly, but not exclusively, talks about ‘Epiphany’.
> Even the two URLs balance each other out. I don't think there's
> enough here to justify gross renaming, and in the name of all
> that's holy let's avoid another mass renaming incident.
> 
> Personally, I think adding ‘GNOME Foo’ to the synopses of all
> these packages is sufficient (epiphany does this by coincidence,
> calling itself the ‘GNOME web browser’). Eventually, this could
> be another use for the separate (G)UI display name field as
> suggested in the games thread. :-)
> 
> Package names aren't opaque identifiers, but they can be a little
> technical IMO.
> 
> Kind regards,
> 
> T G-R
> 
> [0]: https://wiki.gnome.org/Apps/Web
> [1]: https://github.com/GNOME/epiphany